/* cmd_global_version.c - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#include "cmd_global.h"

/*
* no args
*/

CMD_BIND(global_cmd_version) {
    reply(textclient, user, "\002NeonServ %s.%d %s\002 (%s), written by pk910", NEONSERV_VERSION, get_patchlevel(), (is_stable_revision() ? "(stable)" : "(dev)"), (is_stable_revision() ? (strcmp(get_revision(), "") ? get_revision() : "-") : get_dev_revision()));
    reply(textclient, user, "Build (#%s) %s (%s lines, " COMPILER ")", get_compilation(), get_creation(), get_codelines());
    reply(textclient, user, "NeonServ can be found on: http://dev.pk910.de/NeonServ");
    //helpers :D
    reply(textclient, user, "special thanks to:");
    reply(textclient, user, "  Zer0n, TeaTow, Phil  (testing and ideas current version)");
    reply(textclient, user, "  Buschman, Zer0n, Neon  (translating current version)");
    reply(textclient, user, "  Patschi95, DerGrinch, Darkfly, Zer0n, Buschman  (testing and ideas older versions)");
    reply(textclient, user, "  Buschman, Georg, richard  (translating older versions)");
    reply(textclient, user, "and all the other users that reported all these nasty bugs :D");
    reply(textclient, user, "\002If you found a bug or if you have a good idea report it on http://dev.pk910.de/BugTrack\002");
    
}